libzypp: zypp::PoolQuery::Impl Class Reference

libzypp 17.38.7

zypp::PoolQuery::Impl Class Reference

## Public Member Functions
| Impl ()
| Impl (const Impl &)=default
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
std::string | asString () const
| String representation.

## Raw query options.
StrContainer | _strings
| Raw search strings.
AttrRawStrMap | _attrs
| Raw attributes.
std::set< AttrMatchData > | _uncompiledPredicated
| Uncompiled attributes with predicate.
Match | _flags
| Sat solver search flags.
bool | _match_word
StatusFilter | _status_flags
| Sat solver status flags.
Edition | _edition
| Edition condition operand.
Rel | _op
| Operator for edition condition.
StrContainer | _repos
| Repos to search.
Kinds | _kinds
| Kinds to search.
std::string | _comment
| Optional comment string for serialization.
AttrMatchList | _attrMatchList
| StrMatcher per attribtue.
bool | operator< (const PoolQuery::Impl &rhs) const
bool | operator== (const PoolQuery::Impl &rhs) const
bool | operator!= (const PoolQuery::Impl &rhs) const
void | compile () const
| Compile the regex.
StrMatcher | joinedStrMatcher (const StrContainer &container_r, const Match &flags_r) const
| Join patterns in container_r according to flags_r into a single StrMatcher.
Impl * | clone () const
| clone for RWCOW_pointer
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Definition at line 416 of file PoolQuery.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::PoolQuery::Impl::Impl | ( |  | ) |
| inline

Definition at line 419 of file PoolQuery.cc.

## ◆ Impl() [2/3]

zypp::PoolQuery::Impl::Impl | ( | const Impl & |  | ) |
| default

## ◆ Impl() [3/3]

zypp::PoolQuery::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::PoolQuery::Impl::~Impl | ( |  | ) |
| inline

Definition at line 430 of file PoolQuery.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::PoolQuery::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::PoolQuery::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ asString()

std::string zypp::PoolQuery::Impl::asString | ( |  | ) | const

String representation.

Definition at line 780 of file PoolQuery.cc.

## ◆ operator<()

bool zypp::PoolQuery::Impl::operator< | ( | const PoolQuery::Impl & | rhs | ) | const
| inline

Definition at line 469 of file PoolQuery.cc.

## ◆ operator==()

bool zypp::PoolQuery::Impl::operator== | ( | const PoolQuery::Impl & | rhs | ) | const
| inline

Definition at line 486 of file PoolQuery.cc.

## ◆ operator!=()

bool zypp::PoolQuery::Impl::operator!= | ( | const PoolQuery::Impl & | rhs | ) | const
| inline

Definition at line 514 of file PoolQuery.cc.

## ◆ compile()

void zypp::PoolQuery::Impl::compile | ( |  | ) | const

Compile the regex.

Basically building the _attrMatchList from strings.

Exceptions

  MatchException | Any of the exceptions thrown by StrMatcher::compile.

Definition at line 564 of file PoolQuery.cc.

## ◆ joinedStrMatcher()

StrMatcher zypp::PoolQuery::Impl::joinedStrMatcher | ( | const StrContainer & | container_r,
|  | const Match & | flags_r ) const
| private

Join patterns in container_r according to flags_r into a single StrMatcher.

The StrMatcher returned will be a REGEX if more than one pattern was passed.

Definition at line 742 of file PoolQuery.cc.

## ◆ clone()

Impl * zypp::PoolQuery::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 536 of file PoolQuery.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _strings

StrContainer zypp::PoolQuery::Impl::_strings

Raw search strings.

Definition at line 439 of file PoolQuery.cc.

## ◆ _attrs

AttrRawStrMap zypp::PoolQuery::Impl::_attrs

Raw attributes.

Definition at line 441 of file PoolQuery.cc.

## ◆ _uncompiledPredicated

std::set<AttrMatchData> zypp::PoolQuery::Impl::_uncompiledPredicated

Uncompiled attributes with predicate.

Definition at line 443 of file PoolQuery.cc.

## ◆ _flags

Match zypp::PoolQuery::Impl::_flags

Sat solver search flags.

Definition at line 446 of file PoolQuery.cc.

## ◆ _match_word

bool zypp::PoolQuery::Impl::_match_word

Definition at line 447 of file PoolQuery.cc.

## ◆ _status_flags

StatusFilter zypp::PoolQuery::Impl::_status_flags

Sat solver status flags.

Definition at line 450 of file PoolQuery.cc.

## ◆ _edition

Edition zypp::PoolQuery::Impl::_edition

Edition condition operand.

Definition at line 453 of file PoolQuery.cc.

## ◆ _op

Rel zypp::PoolQuery::Impl::_op

Operator for edition condition.

Definition at line 455 of file PoolQuery.cc.

## ◆ _repos

StrContainer zypp::PoolQuery::Impl::_repos

Repos to search.

Definition at line 458 of file PoolQuery.cc.

## ◆ _kinds

Kinds zypp::PoolQuery::Impl::_kinds

Kinds to search.

Definition at line 461 of file PoolQuery.cc.

## ◆ _comment

std::string zypp::PoolQuery::Impl::_comment
| mutable

Optional comment string for serialization.

Definition at line 464 of file PoolQuery.cc.

## ◆ _attrMatchList

AttrMatchList zypp::PoolQuery::Impl::_attrMatchList
| mutable

StrMatcher per attribtue.

Definition at line 525 of file PoolQuery.cc.

The documentation for this class was generated from the following file:

- zypp/PoolQuery.cc